package betterquesting.api2.client.gui.controls;

import betterquesting.api.misc.ICallback;
import betterquesting.api2.client.gui.misc.IGuiRect;

/* loaded from: betterquesting_api2_client_gui_controls.jar:betterquesting/api2/client/gui/controls/PanelButtonStorage.class */
public class PanelButtonStorage<T> extends PanelButton {
    private T stored;
    private ICallback<T> callback;

    public PanelButtonStorage(IGuiRect rect, int id, String txt, T value) {
        super(rect, id, txt);
        this.stored = null;
        this.callback = null;
        setStoredValue(value);
    }

    public PanelButtonStorage<T> setStoredValue(T value) {
        this.stored = value;
        return this;
    }

    public T getStoredValue() {
        return this.stored;
    }

    public PanelButtonStorage<T> setCallback(ICallback<T> callback) {
        this.callback = callback;
        return this;
    }

    public ICallback<T> getCallback() {
        return this.callback;
    }

    @Override // betterquesting.api2.client.gui.controls.PanelButton, betterquesting.api2.client.gui.controls.IPanelButton
    public void onButtonClick() {
        if (this.callback != null) {
            this.callback.setValue(getStoredValue());
        }
    }
}
